Subject: Re: Minor bug with help.autocorrect.

From: Junio C Hamano <[email-masked]>
Date: Sun, 23 Aug 2015 23:36:21 -0700

Jeff King <[email-masked]> writes:

> Yeah, I agree these are the only two sane fixes. Plumbing the quiet flag
> through does seem really invasive; every "git_config_get_foo" variant
> would have to learn it. Probably it's too gross to have a global like:
>
>   config_lax_mode = 1;
>   git_config_get_string(key.buf, &v);
>   config_lax_mode = 0;
>
> That makes a nice tidy patch, but I have a feeling we would regret it
> later. :)

Yeah, I do think the double-checking the patch in your follow-up
does is not so bad.  Thanks for following it through (now I must
remember not to drop these patches ;-).